<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
	<div class="form-horizontal">
	 <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Name_2']}</ui:define>
		<h:inputText value="#{slot.name}" styleClass="form-control" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Multiple']}</ui:define>
	     <h:selectBooleanCheckbox value="#{slot.multiple}" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IsNumber']}</ui:define>
	     <h:selectBooleanCheckbox value="#{slot.isNumber}" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.DefaultValue']}</ui:define>
		<h:inputText value="#{slot.defaultValue}" styleClass="form-control" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Attribute']}</ui:define>
		<h:inputText value="#{slot.attribute}" styleClass="form-control" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	     <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Valueset']}</ui:define>
		<h:inputText value="#{slot.valueset}" styleClass="form-control" />
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ValuesBasedOnCodeOnly']}</ui:define>
		 <h:selectBooleanCheckbox value="#{slot.isCodeOnly}" />
		<span class="gzl-icon-question-circle" title="The tool will use only the code coming from the value set and not the code^^codeySystem structure"/>
	</s:decorate>
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Regex']}</ui:define>
		<h:inputText value="#{slot.regex}" styleClass="form-control" />
	</s:decorate>
	
	<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
		<h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text" value="#{ROManager.selectedCardinalityEnum}">
			<s:selectItems
				value="#{metadataEditorManager.getAvailableCardinalityString()}"
				var="cl"
				noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
				label="#{cl}" />
		</h:selectOneMenu>
	</s:decorate>
	</div>
</ui:composition>
